Page 1 of 1

[REQUEST] Newer version of OpenSSL

Posted: Fri Jun 10, 2022 8:37 pm
by MasterChief2
Hello. I'm in the process of making YouTube plugin using Invidious API, but I have problem with OpenSSL and TLS support. When I send HTTP requests with requests I get error:

Code: Select all

20:05:52 M: 90083328  NOTICE: urllib2
20:05:52 M: 90083328  NOTICE: .
20:05:52 M: 90083328  NOTICE: URLError
20:05:52 M: 90083328  NOTICE: :
20:05:52 M: 90083328  NOTICE: <urlopen error [SSL: TLSV1_ALERT_PROTOCOL_VERSION] tlsv1 alert protocol version (_ssl.c:592)>
If it's not possible to port newer versions of OpenSSL, is there some workaround for this?

Re: [REQUEST] Newer version of OpenSSL

Posted: Tue Aug 02, 2022 10:12 am
by professor_jonny
can you just import a new _ssl.pyd in to the dll folder ?